
QGIS Application - Bug report #10224

Loading Geopackage sample crashes QGIS on Debian (works on Ubuntu and Windows)

2014-05-09 08:53 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 18669

Description

Try http://www.geopackage.org/data/geonames_belgium.gpkg

Windows, nghtly, gdal 1.11

History

#1 - 2014-05-12 08:15 AM - Antonio Locandro

confirmed Windows QGIS code revision commit:afc2e05

#2 - 2014-05-15 01:39 AM - Jukka Rahkonen

Seems to be fixed now in GDAL trunk and for version 1.11 http://trac.osgeo.org/gdal/ticket/5471#comment:1

#3 - 2015-05-29 11:04 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

not reproducable anymore.

#4 - 2015-05-29 11:42 PM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (not reproducable)

Still crashing here on deb, unclear if because of the spatialite packaging. Please leave it open for further testing after the resolution of that one.

#5 - 2015-05-30 12:00 AM - Giovanni Manghi

Paolo Cavallini wrote:

Still crashing here on deb, unclear if because of the spatialite packaging. Please leave it open for further testing after the resolution of that one.

it works fine on Ubuntu and Windows.
http://www.geopackage.org/data/geonames_belgium.gpkg
http://trac.osgeo.org/gdal/ticket/5471#comment:1


#6 - 2015-05-30 04:51 AM - Giovanni Manghi

- Subject changed from Loading Geopackage sample crashes QGIS to Loading Geopackage sample crashes QGIS on Debian (works on Ubuntu and 

Windows)

- Crashes QGIS or corrupts data changed from No to Yes

- Affected QGIS version changed from 2.2.0 to master

- OS version set to sid

- Operating System set to Debian

- Status changed from Feedback to Open

#7 - 2016-02-25 01:03 PM - Jürgen Fischer

- Resolution set to not reproducable

- Status changed from Open to Closed

works fine here on unstable too.

2025-04-28 2/2


